Index: vendor/google/apiclient-services/src/PlayGrouping/CreateOrUpdateTagsRequest.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/CreateOrUpdateTagsRequest.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/CreateOrUpdateTagsRequest.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,43 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping;
+
+class CreateOrUpdateTagsRequest extends \Google\Collection
+{
+  protected $collection_key = 'tags';
+  protected $tagsType = Tag::class;
+  protected $tagsDataType = 'array';
+
+  /**
+   * @param Tag[]
+   */
+  public function setTags($tags)
+  {
+    $this->tags = $tags;
+  }
+  /**
+   * @return Tag[]
+   */
+  public function getTags()
+  {
+    return $this->tags;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(CreateOrUpdateTagsRequest::class, 'Google_Service_PlayGrouping_CreateOrUpdateTagsRequest');
Index: vendor/google/apiclient-services/src/PlayGrouping/CreateOrUpdateTagsResponse.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/CreateOrUpdateTagsResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/CreateOrUpdateTagsResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,43 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping;
+
+class CreateOrUpdateTagsResponse extends \Google\Collection
+{
+  protected $collection_key = 'tags';
+  protected $tagsType = Tag::class;
+  protected $tagsDataType = 'array';
+
+  /**
+   * @param Tag[]
+   */
+  public function setTags($tags)
+  {
+    $this->tags = $tags;
+  }
+  /**
+   * @return Tag[]
+   */
+  public function getTags()
+  {
+    return $this->tags;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(CreateOrUpdateTagsResponse::class, 'Google_Service_PlayGrouping_CreateOrUpdateTagsResponse');
Index: vendor/google/apiclient-services/src/PlayGrouping/Resource/Apps.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/Resource/Apps.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/Resource/Apps.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,33 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping\Resource;
+
+/**
+ * The "apps" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $playgroupingService = new Google\Service\PlayGrouping(...);
+ *   $apps = $playgroupingService->apps;
+ *  </code>
+ */
+class Apps extends \Google\Service\Resource
+{
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(Apps::class, 'Google_Service_PlayGrouping_Resource_Apps');
Index: vendor/google/apiclient-services/src/PlayGrouping/Resource/AppsTokens.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/Resource/AppsTokens.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/Resource/AppsTokens.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,57 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping\Resource;
+
+use Google\Service\PlayGrouping\VerifyTokenRequest;
+use Google\Service\PlayGrouping\VerifyTokenResponse;
+
+/**
+ * The "tokens" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $playgroupingService = new Google\Service\PlayGrouping(...);
+ *   $tokens = $playgroupingService->apps_tokens;
+ *  </code>
+ */
+class AppsTokens extends \Google\Service\Resource
+{
+  /**
+   * Verify an API token by asserting the app and persona it belongs to. The
+   * verification is a protection against client-side attacks and will fail if the
+   * contents of the token don't match the provided values. A token must be
+   * verified before it can be used to manipulate user tags. (tokens.verify)
+   *
+   * @param string $appPackage Required. App the token belongs to. Format:
+   * apps/{package_name}
+   * @param string $token Required. The token to be verified. Format:
+   * tokens/{token}
+   * @param VerifyTokenRequest $postBody
+   * @param array $optParams Optional parameters.
+   * @return VerifyTokenResponse
+   * @throws \Google\Service\Exception
+   */
+  public function verify($appPackage, $token, VerifyTokenRequest $postBody, $optParams = [])
+  {
+    $params = ['appPackage' => $appPackage, 'token' => $token, 'postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('verify', [$params], VerifyTokenResponse::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(AppsTokens::class, 'Google_Service_PlayGrouping_Resource_AppsTokens');
Index: vendor/google/apiclient-services/src/PlayGrouping/Resource/AppsTokensTags.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/Resource/AppsTokensTags.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/Resource/AppsTokensTags.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,55 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping\Resource;
+
+use Google\Service\PlayGrouping\CreateOrUpdateTagsRequest;
+use Google\Service\PlayGrouping\CreateOrUpdateTagsResponse;
+
+/**
+ * The "tags" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $playgroupingService = new Google\Service\PlayGrouping(...);
+ *   $tags = $playgroupingService->apps_tokens_tags;
+ *  </code>
+ */
+class AppsTokensTags extends \Google\Service\Resource
+{
+  /**
+   * Create or update tags for the user and app that are represented by the given
+   * token. (tags.createOrUpdate)
+   *
+   * @param string $appPackage Required. App whose tags are being manipulated.
+   * Format: apps/{package_name}
+   * @param string $token Required. Token for which the tags are being inserted or
+   * updated. Format: tokens/{token}
+   * @param CreateOrUpdateTagsRequest $postBody
+   * @param array $optParams Optional parameters.
+   * @return CreateOrUpdateTagsResponse
+   * @throws \Google\Service\Exception
+   */
+  public function createOrUpdate($appPackage, $token, CreateOrUpdateTagsRequest $postBody, $optParams = [])
+  {
+    $params = ['appPackage' => $appPackage, 'token' => $token, 'postBody' => $postBody];
+    $params = array_merge($params, $optParams);
+    return $this->call('createOrUpdate', [$params], CreateOrUpdateTagsResponse::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(AppsTokensTags::class, 'Google_Service_PlayGrouping_Resource_AppsTokensTags');
Index: vendor/google/apiclient-services/src/PlayGrouping/Tag.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/Tag.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/Tag.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,116 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping;
+
+class Tag extends \Google\Model
+{
+  /**
+   * @var bool
+   */
+  public $booleanValue;
+  /**
+   * @var string
+   */
+  public $int64Value;
+  /**
+   * @var string
+   */
+  public $key;
+  /**
+   * @var string
+   */
+  public $stringValue;
+  /**
+   * @var string
+   */
+  public $timeValue;
+
+  /**
+   * @param bool
+   */
+  public function setBooleanValue($booleanValue)
+  {
+    $this->booleanValue = $booleanValue;
+  }
+  /**
+   * @return bool
+   */
+  public function getBooleanValue()
+  {
+    return $this->booleanValue;
+  }
+  /**
+   * @param string
+   */
+  public function setInt64Value($int64Value)
+  {
+    $this->int64Value = $int64Value;
+  }
+  /**
+   * @return string
+   */
+  public function getInt64Value()
+  {
+    return $this->int64Value;
+  }
+  /**
+   * @param string
+   */
+  public function setKey($key)
+  {
+    $this->key = $key;
+  }
+  /**
+   * @return string
+   */
+  public function getKey()
+  {
+    return $this->key;
+  }
+  /**
+   * @param string
+   */
+  public function setStringValue($stringValue)
+  {
+    $this->stringValue = $stringValue;
+  }
+  /**
+   * @return string
+   */
+  public function getStringValue()
+  {
+    return $this->stringValue;
+  }
+  /**
+   * @param string
+   */
+  public function setTimeValue($timeValue)
+  {
+    $this->timeValue = $timeValue;
+  }
+  /**
+   * @return string
+   */
+  public function getTimeValue()
+  {
+    return $this->timeValue;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(Tag::class, 'Google_Service_PlayGrouping_Tag');
Index: vendor/google/apiclient-services/src/PlayGrouping/VerifyTokenRequest.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/VerifyTokenRequest.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/VerifyTokenRequest.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,44 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping;
+
+class VerifyTokenRequest extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $persona;
+
+  /**
+   * @param string
+   */
+  public function setPersona($persona)
+  {
+    $this->persona = $persona;
+  }
+  /**
+   * @return string
+   */
+  public function getPersona()
+  {
+    return $this->persona;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(VerifyTokenRequest::class, 'Google_Service_PlayGrouping_VerifyTokenRequest');
Index: vendor/google/apiclient-services/src/PlayGrouping/VerifyTokenResponse.php
===================================================================
--- vendor/google/apiclient-services/src/PlayGrouping/VerifyTokenResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/PlayGrouping/VerifyTokenResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,25 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\PlayGrouping;
+
+class VerifyTokenResponse extends \Google\Model
+{
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(VerifyTokenResponse::class, 'Google_Service_PlayGrouping_VerifyTokenResponse');
